--
-- by Zippo
--

menu = {};

function menu.prerequisitesPresent(specializations)
    return true;
end;

function menu:load(xmlFile)
		print("Zippo Menu");
		local i = 0;
		self.menu = {};
    self.menuAn = false;
		while true do
			local menu = {};
			local objname = string.format("vehicle.menu.extramenu(%d)",i);
      local rotnode = getXMLString(xmlFile, objname .. "#rotNode");
      if rotnode == nil then 
      	break;
      end;
      menu = {};
      menu.rotNode = Utils.indexToObject(self.components, rotnode);
      
      if(menu.rotNode == nil or menu.light == nil) then
      	print("Error: Index ("..rotnode..") Error");
            	table.insert(self.menu, menu);
      end;
      i=i+1;
    end;
    self.menuAnz = table.getn(self.menu);
      
end;

function menu:delete()
end;

function menu:mouseEvent(posX, posY, isDown, isUp, button)
end;

function menu:keyEvent(unicode, sym, modifier, isDown)
end;

function menu:update(dt)
	
    if InputBinding.hasEvent(InputBinding.ExtraM) then
    	self.menuAn = not self.menuAn;
      for i=1, self.menuAnz do
        setVisibility(self.menu[i].light, self.menuAn);
      end;
    end;
    if self.menuAn then
      for i=1, self.menuAnz do
        setVisibility(self.menu[i].light, self.menuAn);
      end;
    end;
  end;


function menu:draw()
    if self.menuAnz > 0 and self:getIsActive() then
    		g_currentMission:addHelpButtonText(g_i18n:getText("menu"), InputBinding.ExtraM);
		if self.menuAn then
		renderText(0.81, 0.450, 0.02, "Menu");
		renderText(0.81, 0.415, 0.02, "Attacher    NUM 7/8");
		renderText(0.81, 0.400, 0.02, "Radio       KEY R");
		renderText(0.81, 0.385, 0.02, "Turbo       KEY T");
		renderText(0.81, 0.370, 0.02, "Funk        KEY Z");
		renderText(0.81, 0.355, 0.02, "Zwillingv.  NUM 4");
		renderText(0.81, 0.340, 0.02, "Zwillingh.  NUM 5");
    	renderText(0.81, 0.325, 0.02, "Warnschild  NUM 6");
    	renderText(0.81, 0.310, 0.02, "Allrad      KEY L");
		renderText(0.81, 0.295, 0.02, "Hydraulik   KEY J/K");
    	renderText(0.81, 0.280, 0.02, "Vor/Zur     F11/F12");
		renderText(0.81, 0.265, 0.02, "Feldspuren  NUM 0");
    	renderText(0.81, 0.250, 0.02, "Blitzlicht  KEY U");
    	renderText(0.81, 0.235, 0.02, "Blinker     NUM 1/2/3");
	end;
    end;
end;

